table:
  name: associations
  schema: public
object_relationships:
  - name: bodyshop
    using:
      foreign_key_constraint_on: bodyshopid
  - name: user
    using:
      foreign_key_constraint_on: email
select_permissions:
  - role: user
    permission:
      columns:
        - bodyshopid
        - email
        - id
      filter:
        user:
          authid:
            _eq: X-Hasura-User-Id
